io.vertx.amqp

## Class AmqpReceiverOptions

- java.lang.Object
- - io.vertx.amqp.AmqpReceiverOptions

-     public class AmqpReceiverOptions
      extends Object

  Configures the AMQP Receiver.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmqpReceiverOptions()`
    `AmqpReceiverOptions(AmqpReceiverOptions other)`
    `AmqpReceiverOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AmqpReceiverOptions` | `addCapability(String capability)` Adds a capability to be set on the receiver source terminus.
    `List<String>` | `getCapabilities()` Gets the list of capabilities to be set on the receiver source terminus.
    `String` | `getLinkName()`
    `int` | `getMaxBufferedMessages()`
    `String` | `getQos()` Gets the local QOS config, values can be `null`, `AT_MOST_ONCE` or `AT_LEAST_ONCE`.
    `String` | `getSelector()`
    `boolean` | `isAutoAcknowledgement()`
    `boolean` | `isDurable()`
    `boolean` | `isDynamic()`
    `boolean` | `isNoLocal()`
    `AmqpReceiverOptions` | `setAutoAcknowledgement(boolean auto)` Sets the auto-acknowledgement.
    `AmqpReceiverOptions` | `setCapabilities(List<String> capabilities)` Sets the list of capabilities to be set on the receiver source terminus.
    `AmqpReceiverOptions` | `setDurable(boolean durable)` Sets the durability.
    `AmqpReceiverOptions` | `setDynamic(boolean dynamic)` Sets whether the Source terminus to be used should specify it is 'dynamic', requesting the peer creates a node and names it with a generated address.
    `AmqpReceiverOptions` | `setLinkName(String linkName)`
    `AmqpReceiverOptions` | `setMaxBufferedMessages(int maxBufferSize)` Sets the max buffered messages.
    `AmqpReceiverOptions` | `setNoLocal(boolean noLocal)` Sets whether this receiver should not receive messages that were sent using the same underlying connection.
    `AmqpReceiverOptions` | `setQos(String qos)` Sets the local QOS config.
    `AmqpReceiverOptions` | `setSelector(String selector)` Sets a message selector string.
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AmqpReceiverOptions

          public AmqpReceiverOptions()

    - #### AmqpReceiverOptions

          public AmqpReceiverOptions(AmqpReceiverOptions other)

    - #### AmqpReceiverOptions

          public AmqpReceiverOptions(JsonObject json)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### getLinkName

          public String getLinkName()

    - #### setLinkName

          public AmqpReceiverOptions setLinkName(String linkName)

    - #### isDynamic

          public boolean isDynamic()

      Returns:
        whether the receiver is using a dynamic address.

    - #### setDynamic

          public AmqpReceiverOptions setDynamic(boolean dynamic)

      Sets whether the Source terminus to be used should specify it is 'dynamic', requesting the peer creates a node and names it with a generated address.

      The address provided by the peer can then be inspected using the `AmqpReceiver.address()` method on the `AmqpReceiver` received once opened.

      Parameters:
        `dynamic` - true if the receiver should request dynamic creation of a node and address to consume from
      Returns:
        the options

    - #### getQos

          public String getQos()

      Gets the local QOS config, values can be `null`, `AT_MOST_ONCE` or `AT_LEAST_ONCE`.
      Returns:
        the local QOS config.

    - #### setQos

          public AmqpReceiverOptions setQos(String qos)

      Sets the local QOS config.
      Parameters:
        `qos` - the local QOS config. Accepted values are: `null`, `AT_MOST_ONCE` or `AT_LEAST_ONCE`.
      Returns:
        the options.

    - #### getCapabilities

          public List<String> getCapabilities()

      Gets the list of capabilities to be set on the receiver source terminus.
      Returns:
        the list of capabilities, empty if none.

    - #### setCapabilities

          public AmqpReceiverOptions setCapabilities(List<String> capabilities)

      Sets the list of capabilities to be set on the receiver source terminus.
      Parameters:
        `capabilities` - the set of source capabilities.
      Returns:
        the options

    - #### addCapability

          public AmqpReceiverOptions addCapability(String capability)

      Adds a capability to be set on the receiver source terminus.
      Parameters:
        `capability` - the source capability to add, must not be `null`
      Returns:
        the options

    - #### isDurable

          public boolean isDurable()

      Returns:
        if the receiver is durable.

    - #### setDurable

          public AmqpReceiverOptions setDurable(boolean durable)

      Sets the durability.

      Passing `true` sets the expiry policy of the source to `NEVER` and the durability of the source to `UNSETTLED_STATE`.

      Parameters:
        `durable` - whether or not the receiver must indicate it's durable
      Returns:
        the options.

    - #### getMaxBufferedMessages

          public int getMaxBufferedMessages()

      Returns:
        the max buffered messages

    - #### setMaxBufferedMessages

          public AmqpReceiverOptions setMaxBufferedMessages(int maxBufferSize)

      Sets the max buffered messages. This message can be used to configure the initial credit of a receiver.
      Parameters:
        `maxBufferSize` - the max buffered size, must be positive. If not set, default credit is used.
      Returns:
        the current `AmqpReceiverOptions` instance.

    - #### isAutoAcknowledgement

          public boolean isAutoAcknowledgement()

      Returns:
        `true` if the auto-acknowledgement is enabled, `false` otherwise.

    - #### setAutoAcknowledgement

          public AmqpReceiverOptions setAutoAcknowledgement(boolean auto)

      Sets the auto-acknowledgement. When enabled (default), the messages are automatically acknowledged. If set to `false`, the messages must be acknowledged explicitly using `AmqpMessage.accepted()`, `AmqpMessage.released()` and `AmqpMessage.rejected()`.
      Parameters:
        `auto` - whether or not the auto-acknowledgement should be enabled.
      Returns:
        the current `AmqpReceiverOptions` instance.

    - #### getSelector

          public String getSelector()

      Returns:
        the message selector String

    - #### setSelector

          public AmqpReceiverOptions setSelector(String selector)

      Sets a message selector string. Used to define an "apache.org:selector-filter:string" filter on the source terminus, using SQL-based syntax to request the server filters which messages are delivered to the receiver (if supported by the server in question). Precise functionality supported and syntax needed can vary depending on the server.
      Parameters:
        `selector` - the selector string to set.

    - #### isNoLocal

          public boolean isNoLocal()

      Returns:
        whether this receiver should not receive messages that were sent on the same underlying connection

    - #### setNoLocal

          public AmqpReceiverOptions setNoLocal(boolean noLocal)

      Sets whether this receiver should not receive messages that were sent using the same underlying connection. Used to determine whether to define an "apache.org:no-local-filter:list" filter on the source terminus, requesting that the server filters which messages are delivered to the receiver so that they do not include messages sent on the same underlying connection (if supported by the server in question).
      Parameters:
        `noLocal` - true if this receiver shall not receive messages that were sent on the same underlying connection

Copyright © 2021 Eclipse. All rights reserved.